%define name pitivi
%define pitividir %_prefix/lib
%define gnonlin 0.10.13
Summary: Pitivi non linear video editor under linux 
Name: %name
Version: 0.13.4
Release: %mkrel 2
Source0: http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2

License: LGPLv2+
Group: Video
URL: http://www.pitivi.org
%py_requires -d
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
Requires:  python-zope-interface
Requires:  python-pkg-resources
Requires:  pygtk2.0-libglade
Requires:  gnome-python
Requires:  gnome-python-gnomevfs
Requires:  gstreamer0.10-python >= 0.10.16
Requires:  gstreamer0.10-plugins-base >= 0.10.24
Requires:  gnonlin >= %gnonlin
Requires:  python-pygoocanvas
Requires:  python-dbus
#gw for make check
#BuildRequires:  x11-server-xvfb
#BuildRequires:  python-zope-interface
#BuildRequires:  python-pkg-resources
#BuildRequires:  pygtk2.0-libglade
#BuildRequires:  gnome-python
#BuildRequires:  gnome-python-gnomevfs
#BuildRequires:  gstreamer0.10-python >= 0.10.16
#BuildRequires:  gstreamer0.10-plugins-base >= 0.10.24
#BuildRequires:  gnonlin >= %gnonlin
#BuildRequires:  python-pygoocanvas

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch

%description
Pitivi is a Non Linear Video Editor using the popular GStreamer media
framework.


%prep
%setup -q

%build
./configure --prefix=%_prefix --libdir=%pitividir
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std
%find_lang %name

%check
#gw it currently needs an installed pitivi
#https://bugzilla.gnome.org/show_bug.cgi?id=594985
#xfvb-run make check

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post 
%update_menus
%update_mime_database
%update_desktop_database
%update_icon_cache hicolor
%postun
%clean_menus
%clean_mime_database
%clean_desktop_database
%clean_icon_cache hicolor
%endif

%files -f %name.lang
%defattr(-,root,root,-)
%doc AUTHORS  ChangeLog NEWS RELEASE
%{_datadir}/pitivi/
%{_bindir}/pitivi
%_datadir/applications/%name.desktop
%_datadir/icons/hicolor/*/apps/*
%_datadir/mime/packages/%name.xml
%pitividir/pitivi/


%changelog
* Sun Mar 14 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.13.4-2mdv2010.1
+ Revision: 518786
- add missing requires

* Wed Mar 10 2010 Götz Waschk <waschk@mandriva.org> 0.13.4-1mdv2010.1
+ Revision: 517551
- update to new version 0.13.4

* Tue Mar 09 2010 Götz Waschk <waschk@mandriva.org> 0.13.3.2-1mdv2010.1
+ Revision: 517218
- update to new version 0.13.3.2

* Sat Sep 12 2009 Götz Waschk <waschk@mandriva.org> 0.13.3-1mdv2010.0
+ Revision: 438549
- new version
- drop patch
- update gnonlin dep
- update file list

* Thu Aug 13 2009 Frederik Himpe <fhimpe@mandriva.org> 0.13.2-1mdv2010.0
+ Revision: 416100
- update to new version 0.13.2

* Thu Aug 06 2009 Götz Waschk <waschk@mandriva.org> 0.13.1.3-2mdv2010.0
+ Revision: 410554
- update deps

* Wed Aug 05 2009 Frederik Himpe <fhimpe@mandriva.org> 0.13.1.3-1mdv2010.0
+ Revision: 410338
- update to new version 0.13.1.3

* Fri Jul 24 2009 Frederik Himpe <fhimpe@mandriva.org> 0.13.1.2-1mdv2010.0
+ Revision: 399407
- update to new version 0.13.1.2

* Wed May 27 2009 Götz Waschk <waschk@mandriva.org> 0.13.1-1mdv2010.0
+ Revision: 380149
- update to new version 0.13.1

* Sun May 24 2009 Frederik Himpe <fhimpe@mandriva.org> 0.13.0.3-1mdv2010.0
+ Revision: 379302
- Update to new version 0.13.0.3
- Rediff desktop patch

* Thu May 21 2009 Götz Waschk <waschk@mandriva.org> 0.13.0.2-1mdv2010.0
+ Revision: 378315
- new version
- rediff patch 0
- drop patch 1
- update file list
- fix source URL

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 0.11.3-3mdv2009.1
+ Revision: 355694
- fix bug #48312 (crash on start)

* Sun Dec 28 2008 Götz Waschk <waschk@mandriva.org> 0.11.3-2mdv2009.1
+ Revision: 320489
- rebuild for new python

* Fri Dec 12 2008 Funda Wang <fwang@mandriva.org> 0.11.3-1mdv2009.1
+ Revision: 313550
- new version 0.11.3

* Thu Dec 04 2008 Götz Waschk <waschk@mandriva.org> 0.11.2.2-1mdv2009.1
+ Revision: 309935
- new version
- fix source URL

* Sat Nov 29 2008 Adam Williamson <awilliamson@mandriva.org> 0.11.2-3mdv2009.1
+ Revision: 308108
- require python-pkg-resources not python-setuptools

* Mon Nov 24 2008 Götz Waschk <waschk@mandriva.org> 0.11.2-2mdv2009.1
+ Revision: 306281
- add missing dep on python-pygoocanvas (bug #45964)

* Wed Oct 15 2008 Götz Waschk <waschk@mandriva.org> 0.11.2-1mdv2009.1
+ Revision: 294034
- new version

* Sat Oct 11 2008 Götz Waschk <waschk@mandriva.org> 0.11.1.4-1mdv2009.1
+ Revision: 292351
- fix buildrequires
- new version
- update license

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 0.11.1-6mdv2009.0
+ Revision: 259079
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.11.1-5mdv2009.0
+ Revision: 246985
- rebuild
- drop old menu

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Jan 08 2008 Götz Waschk <waschk@mandriva.org> 0.11.1-3mdv2008.1
+ Revision: 146369
- add another missing dep
- add missing dep on python-zope-interface (bug #36549)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 18 2007 Götz Waschk <waschk@mandriva.org> 0.11.1-1mdv2008.1
+ Revision: 109937
- new version

* Sun Oct 14 2007 Götz Waschk <waschk@mandriva.org> 0.11.0-1mdv2008.1
+ Revision: 98330
- new version
- fix desktop entry

* Thu Aug 02 2007 Götz Waschk <waschk@mandriva.org> 0.10.3-2mdv2008.0
+ Revision: 58154
- fix deps

* Thu May 31 2007 Götz Waschk <waschk@mandriva.org> 0.10.3-1mdv2008.0
+ Revision: 33410
- new version

* Mon May 28 2007 Götz Waschk <waschk@mandriva.org> 0.10.2.2-1mdv2008.0
+ Revision: 32132
- new version


* Wed Jan 31 2007 Götz Waschk <waschk@mandriva.org> 0.10.2-1mdv2007.0
+ Revision: 115719
- new version

* Sun Jan 28 2007 Götz Waschk <waschk@mandriva.org> 0.10.1.3-1mdv2007.1
+ Revision: 114481
- new version
- bump deps

* Sat Jan 27 2007 Götz Waschk <waschk@mandriva.org> 0.10.1-1mdv2007.1
+ Revision: 114343
- Import pitivi

* Sat Jan 27 2007 Gtz Waschk <waschk@mandriva.org> 0.10.1-1mdv2007.1
- new source URL
- new version

* Thu Jul 20 2006 Gtz Waschk <waschk@mandriva.org> 0.10.1-1mdv2007.0
- New release 0.10.1

* Fri Jul 07 2006 Gtz Waschk <waschk@mandriva.org> 0.10.0-3mdv2007.0
- xdg menu
- fix buildrequires

* Mon May 22 2006 Gtz Waschk <waschk@mandriva.org> 0.10.0-2mdk
- fix deps

* Sat Apr 29 2006 Gtz Waschk <waschk@mandriva.org> 0.10.0-1mdk
- update file list
- New release 0.10.0

* Thu Feb 02 2006 Gtz Waschk <waschk@mandriva.org> 0.9.9.2-1mdk
- bump deps
- New release 0.9.9.2

* Thu Dec 29 2005 Gtz Waschk <waschk@mandriva.org> 0.9.9.1-1mdk
- gst 0.10
- New release 0.9.9.1
- use mkrel

* Tue Jul 05 2005 Gtz Waschk <waschk@mandriva.org> 0.1.10-3mdk
- fix deps

* Thu Jun 30 2005 Gtz Waschk <waschk@mandriva.org> 0.1.10-2mdk
- fix buildrequires

* Thu Jun 30 2005 Gtz Waschk <waschk@mandriva.org> 0.1.10-1mdk
- this is now noarch
- drop the library package
- fix deps
- New release 0.1.10

* Mon Dec 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1-1mdk
- initial package

* Thu Dec 02 2004 root <root@pas-r06p01.pas.epita.fr> - 
- Initial build.

